<template>
  <div id="app">
    <header>
      <h1>Basket</h1>
    </header>
    <toolbar></toolbar>
    <main>
      <item-list></item-list>
    </main>
  </div>
</template>

<script>
import ItemList from './components/ItemList';
import Toolbar from './components/Toolbar';

export default {
  name: 'app',
  components: {
    ItemList,
    Toolbar
  }
};
</script>

<style lang="scss">
$header-background: #ff8c00;

html, body {
  margin: 0;
  height: 100%;
  font: 16px Helvetica, Arial, sans-serif;
  color: #333;
}

html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

input, select {
  font: 16px Helvetica, Arial, sans-serif;
  color: #333;
}

button {
  font: 14px Helvetica, Arial, sans-serif;
  border: 0;
  background: #3476d3;
  outline: 0;
  margin: 0;
}

#app {
  display: flex;
  flex-flow: row wrap;
}

header {
  background: $header-background;
  color: #fff;
  flex: 1;
  display: flex;
  align-items: center;
  z-index: 1;

  h1 {
    font-size: 24px;
    margin: 0;
    padding: 12px;
  }
}

nav {
  background: $header-background;
  z-index: 1;
}

main {
  flex: 1 0 100%;
  display: flex;
}

@media(max-width: 600px) {
  #app {
    flex-flow: column nowrap;
    height: 100%;
  }

  header {
    display: none;
  }

  nav {
    order: 2;
  }

  main {
    order: 1;
    flex: 1;
  }
}
</style>
